<?php
// $Id$

/* OVERVIEW
 * 
 * image.php
 *  
 * This file masquerades as an image.
 * It is accessed when mod_rewrite rewrites certain image requests.
 *
 * */


  //You will quickly see that this code has not been modified to work with Drupal

  //these are configuration settings from the original CMS installation.
  //they were initially in a config file, now they are here.
  $iniImage['max_image_size_kb']   = 300;   // maximum size of images going into database
  $iniImage['max_width_px']        = 750;   // maximum width of images going into database
  $iniImage['max_height_px']       = 750;   // maximum height of images going into database
  $iniImage['max_cache_size_kb']   = 10000; // maximum cache size (cache delete is a TODO)
  $iniImage['cache']               = "/images/cache";
  $iniImage['website_image_contexts'] = array('w'=> array(0,300,40),'h'=> array(0,200,60)); //standard images sizes for a fixed web template.
                                                                                            //0 means no restriction, leave the first of ['w'] and ['h'] as 0;
  
  // process url string
  $action['cached'] = '';
  Image_Context::util_parse_url($_GET, $action);
  
  //try to send cached image (requires no instantiation)
  if (Image_Context::send_from_cache($action['cached'])) {exit;}
   
  //create a new instance of the image class
  //the $iniDatabase variable was simply database connection variables
  //the image class needs changing to Drupal way,
  $img = new Image_Context($iniImage, $iniDatabase);

  if (!$img->set_image_from_db($action)) {
    echo ('Unable to set image.');
    exit;
  }

  $img->resample();

  //exit gracefully if the image cannot be obtained, ie if there was an error
  $img->echo_image();    
  
  $img->send_to_cache($action['cached']);
  
  $img->destroy_images();
